#include "platform.h"
#include <QDebug>

#define TICK_SPEED 15
#define PLATFORM_WIDTH 100
#define PLATFORM_HEIGHT 20
#define PLATFORM_MARGIN_BOTTOM 80
#define SPEED 5.0

Platform::Platform(QWidget* parent) : m_parent{parent} {
    QRect rct = parent->rect();

    m_x = rand() % (rct.width() - PLATFORM_WIDTH);
    m_y = rct.height() - (PLATFORM_HEIGHT + PLATFORM_MARGIN_BOTTOM);

    start(TICK_SPEED);
}

void Platform::draw(QPainter& painter) {
    QRect rct(m_x, m_y, PLATFORM_WIDTH, PLATFORM_HEIGHT);
    painter.drawRect(rct);
}

void Platform::timerEvent(QTimerEvent*) {
    m_parent->update();
}
